<?php

/* This really should be optionized; users shouldn't have to edit the plugin file to have this option! */
remove_action('the_content', 'akpc_content_pop');
remove_action('the_excerpt', 'akpc_content_pop');

// Output the widget
function most_popular_posts_widget($args) {
	extract($args, EXTR_SKIP);
	$options = get_option('most_popular_posts_widget');
	
	echo $before_widget . "\n";
	echo $before_title . $options['most-popular-posts-title'] . $after_title . "\n";
	echo "<ul>\n";
	akpc_most_popular($options['most-popular-posts-count']);
	echo "</ul>\n";
	echo $after_widget . "\n";
}

// Widget control
function most_popular_posts_control() {
	$options = $newoptions = get_option('most_popular_posts_widget');
	
	if ($_POST['most-popular-posts-submit']) {
		$newoptions['most-popular-posts-title'] = strip_tags(stripslashes($_POST['most-popular-posts-title']));
		$newoptions['most-popular-posts-count'] = (int) $_POST['most-popular-posts-count'];
	}

	if ($options != $newoptions) {
		$options = $newoptions;
		update_option('most_popular_posts_widget', $options);
	}
	
	$title = attribute_escape($options['most-popular-posts-title']);
	if (!$count = (int) $options['most-popular-posts-count'])
		$count = 5;
?>
		<p>
			<label for="most-popular-posts-title"><?php _e('Title:', 'thesis'); ?>
			<input type="text" class="widefat" id="most-popular-posts-title" name="most-popular-posts-title" value="<?php echo $title; ?>" /></label>
		</p>
		<p>
			<label for="most-popular-posts-count"><?php _e('Number of popular posts to show:', 'thesis'); ?> <input style="width: 25px; text-align: center;" id="most-popular-posts-count" name="most-popular-posts-count" type="text" value="<?php echo $count; ?>" /></label>
			<br />
			<small><?php _e('(default is 5)', 'thesis'); ?></small>
		</p>
		<input type="hidden" id="most-popular-posts-submit" name="most-popular-posts-submit" value="1" />
<?php
}

// Register the widget
register_sidebar_widget(__('Most Popular Posts', 'thesis'), 'most_popular_posts_widget');
register_widget_control(__('Most Popular Posts', 'thesis'), 'most_popular_posts_control');

?>